Adjust part thicknesses so they match those available at OSH cut, shrink some features to avoid overheating during cut

This commit is contained in:
Kelvin Ly 2025-03-26 09:53:10 -04:00
parent e892caaf41
commit b80e658d8e
1 changed files with 7 additions and 7 deletions

View File

@ -14,10 +14,10 @@ column_h = 400
plate_z = 2.54
plate_z2 = 10
x_mount_z = 5
stepper_mount_z = 5
x_mount_z = inch(3 / 16) # 5
stepper_mount_z = inch(3 / 16) # 5
carrier_plate_z = 10
carrier_plate_z = inch(3 / 8) # 10
ballscrew_x_offset = 4
@ -183,11 +183,11 @@ class Gantry:
.extrude(20, combine="s")
.workplaneFromTagged("ballscrew_center")
.center(0, -35 / 2 + 4 / 2)
.rect(25, 4)
.rect(20, 4)
.extrude(20, combine="s")
.workplaneFromTagged("ballscrew_center")
.center(0, 35 / 2 - 4 / 2)
.rect(25, 4)
.rect(20, 4)
.extrude(20, combine="s")
# .rect(35, 35)
# .extrude(20, combine="s")
@ -258,7 +258,7 @@ class Gantry:
.copyWorkplane(
stepper_mount_w.transformed(offset=(0, 0, 0), rotate=(180, 0, 0))
)
.hole(40)
.hole(32)
# .copyWorkplane(stepper_mount_w)
# .circle(40)
# .extrude(10)
@ -606,7 +606,7 @@ class Carrier:
.vertices()
.hole(5)
.copyWorkplane(self.ballscrew_model.w.transformed(rotate=(90, 0, 0)))
.hole(40)
.hole(32)
)
self.stepper_bracket = (
self.stepper_bracket.copyWorkplane(